org.eclipse.microprofile.rest.client.tck.sse

## Class MyEventSourceServlet

- java.lang.Object
- - javax.servlet.GenericServlet
  - - javax.servlet.http.HttpServlet
    - - org.eclipse.jetty.servlets.EventSourceServlet
      - - org.eclipse.microprofile.rest.client.tck.sse.MyEventSourceServlet

All Implemented Interfaces:
  Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

    public class MyEventSourceServlet
    extends org.eclipse.jetty.servlets.EventSourceServlet

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.jetty.servlets.EventSourceServlet

`org.eclipse.jetty.servlets.EventSourceServlet.EventSourceEmitter`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `destroy()`
`protected org.eclipse.jetty.servlets.EventSource` `newEventSource(javax.servlet.http.HttpServletRequest request)`

### Methods inherited from class org.eclipse.jetty.servlets.EventSourceServlet

`doGet, init, open, respond`

### Methods inherited from class javax.servlet.http.HttpServlet

`doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

### Methods inherited from class javax.servlet.GenericServlet

`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### newEventSource

    protected org.eclipse.jetty.servlets.EventSource newEventSource(javax.servlet.http.HttpServletRequest request)

Specified by:
  `newEventSource` in class `org.eclipse.jetty.servlets.EventSourceServlet`

#### destroy

    public void destroy()

Specified by:
  `destroy` in interface `javax.servlet.Servlet`
Overrides:
  `destroy` in class `org.eclipse.jetty.servlets.EventSourceServlet`